Skip to main content
GET
Retrieve Drivers for a Company

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Accept-Language
string
default:en

The Accept-Language request HTTP header indicates the natural language and locale that the client prefers.

Example:

"en"

Path Parameters

company-id
string<uuid>
required

Company ID

Query Parameters

page[limit]
integer<int32>
default:25

The maximum number of paginated results to return

Required range: x <= 100
page[after]
string

The cursor to start paginating after

page[before]
string

The cursor to stop paginating at

filter[dispatchable]
boolean

Filter dispatchable CompanyShareable models

filter[shared]
boolean

Filter shared CompanyShareable models

search[datagrid]
string

Search string for datagrid queries

filter[availability]
boolean

Filter based on record availability based on the date parameter/filter, defaulting to the current day.

filter[expiring]
boolean

Filter based on record expiry. Default is null, which means all records are returned, true will omit non-expiring records, false will omit expiring records.

filter[show_all]
boolean

Show all records. Deprecated in favor of filter[availability]

filter[date]
string<date>

Single Date Filter

filter[auto_add_ons]
boolean

Filter on whether the resource (e.g. Account, User) has associated AutoAddOns

filter[sender_company_types]
array

CompanyType enum filter. See CompanyType enum for accepted values.

filter[label_ids]
string<uuid>[]

Filter by Label IDs. Returns records that have ANY of the specified labels (OR logic).

Response

OK

data
Driver-Read · object[]
required